Package: org.gradle.api.tasks

## [Java] Class Upload

- org.gradle.api.tasks.Upload

- Uploads the artifacts of a Configuration to a set of repositories.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `FileCollection` | `getArtifacts()` Returns the artifacts which will be uploaded.
    `Configuration` | `getConfiguration()` Returns the configuration to upload.
    `File` | `getDescriptorDestination()` Returns the path to generate the dependency descriptor to.
    `protected ArtifactPublicationServices` | `getPublicationServices()`
    `RepositoryHandler` | `getRepositories()` Returns the repositories to upload to.
    `boolean` | `isUploadDescriptor()` Specifies whether the dependency descriptor should be uploaded.
    `RepositoryHandler` | `repositories(Closure configureClosure)` Configures the set of repositories to upload to.
    `void` | `setConfiguration(Configuration configuration)`
    `void` | `setDescriptorDestination(File descriptorDestination)`
    `void` | `setUploadDescriptor(boolean uploadDescriptor)`
    `protected void` | `upload()`

- - ### Method Detail

    - #### @InputFiles public FileCollection getArtifacts()

      Returns the artifacts which will be uploaded.

      Returns:
        the artifacts.

    - #### public Configuration getConfiguration()

      Returns the configuration to upload.

    - #### public File getDescriptorDestination()

      Returns the path to generate the dependency descriptor to.

    - #### @Inject protected ArtifactPublicationServices getPublicationServices()

    - #### public RepositoryHandler getRepositories()

      Returns the repositories to upload to.

    - #### public boolean isUploadDescriptor()

      Specifies whether the dependency descriptor should be uploaded.

    - #### public RepositoryHandler repositories(Closure configureClosure)

      Configures the set of repositories to upload to.

    - #### public void setConfiguration(Configuration configuration)

    - #### @SuppressWarnings("UnusedDeclaration") public void setDescriptorDestination(File descriptorDestination)

    - #### public void setUploadDescriptor(boolean uploadDescriptor)

    - #### @TaskAction protected void upload()